com.brightcove.ssai.tracking

## Class TrackingEvent<T>

- java.lang.Object
- - com.brightcove.ssai.tracking.TrackingEvent<T>

-     public class TrackingEvent<T>
      extends java.lang.Object

  Representation of a VMAP/VAST tracking event.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `INVALID_OFFSET`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> TrackingEvent` | `create(java.net.URI uri, long offset, T rawTracking)`
    `static <T> TrackingEvent` | `create(java.net.URI uri, T rawTracking)`
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getOffset()`
    `T` | `getRawEvent()`
    `java.net.URI` | `getUri()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_OFFSET

          public static final long INVALID_OFFSET

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          public static <T> TrackingEvent create(@NonNull
                                                 java.net.URI uri,
                                                 @NonNull
                                                 T rawTracking)

    - #### create

          public static <T> TrackingEvent create(@NonNull
                                                 java.net.URI uri,
                                                 long offset,
                                                 @NonNull
                                                 T rawTracking)

    - #### getUri

          @NonNull
          public java.net.URI getUri()

    - #### getOffset

          public long getOffset()

    - #### getRawEvent

          public T getRawEvent()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`